Retail Express API 2.1

productdetailslog

Searches Product Details Logs

Searches Product Details Logs

get
https://api.retailexpress.com.au/v2.1/productdetailslog

Query Parameters

plustring | null

Product Look-Up code (PLU) It can be Product Id, Supplier SKU, Manufacturer SKU, Supplier SKU 2 or any Barcodes for a product. If specified, product_id, product_supplier_sku, product_short_description, product_created_on filters are ignored.

movement_typesstring | null

Movement Type or Collection of Movement Types (comma separated).
Example: Product Initialisation,Product Details Edited

filter_bystring | null

Filter by.

Available field name values: id, created_on, product_id, product_supplier_sku, product_short_description, product_created_on, origin, supplier_buy_ex_before, supplier_buy_ex_change, supplier_buy_ex_after, buy_price_ex_before, buy_price_ex_change, buy_price_ex_after, direct_costs_ex_before, direct_costs_ex_change, direct_costs_ex_after, sell_price_inc_before, sell_price_inc_change, sell_price_inc_after, discount_price_before, discount_price_change, discount_price_after, rrp_inc_before, rrp_inc_change, rrp_inc_after, web_price_inc_before, web_price_inc_change, web_price_inc_after, product_type_before, product_type_after, disabled_before, disabled_after.

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: created_on:gte:2021-06-03T05:48:09+10:00,product_id:in:124001|124002

order_bystring | null

Order by.

Available field name values: id, created_on, product_id, product_supplier_sku, product_short_description, product_created_on, movement_type, origin, supplier_buy_ex_before, supplier_buy_ex_change, supplier_buy_ex_after, buy_price_ex_before, buy_price_ex_change, buy_price_ex_after, direct_costs_ex_before, direct_costs_ex_change, direct_costs_ex_after, sell_price_inc_before, sell_price_inc_change, sell_price_inc_after, discount_price_before, discount_price_change, discount_price_after, rrp_inc_before, rrp_inc_change, rrp_inc_after, web_price_inc_before, web_price_inc_change, web_price_inc_after, product_type_before, product_type_after, disabled_before, disabled_after.

Available direction values: asc, desc.

Example: id asc, created_on desc

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Product Details Logs data

ProductDetailLog.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Product Detail Log model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/productdetailslog
 
application/json

Gets specific Product Details Log by unique id

Gets specific Product Details Log by unique id

get
https://api.retailexpress.com.au/v2.1/productdetailslog/{id}

Path Parameters

idinteger(int32)required

Product Details Log id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Product Details Log

ProductDetailLog

Product Detail Log model

* Additional properties are NOT allowed.
idinteger(int32)

Id

created_onstring(date-time)

Created on

created_byobject
* Additional properties are NOT allowed.
Show Child Parameters
productobject

Product Detail Log Product model

* Additional properties are NOT allowed.
Show Child Parameters
movement_typestring | null

Source type

originstring | null

Origin

supplier_buy_exobject
* Additional properties are NOT allowed.
Show Child Parameters
buy_price_exobject
* Additional properties are NOT allowed.
Show Child Parameters
direct_costs_exobject
* Additional properties are NOT allowed.
Show Child Parameters
sell_price_incobject
* Additional properties are NOT allowed.
Show Child Parameters
discount_priceobject
* Additional properties are NOT allowed.
Show Child Parameters
rrp_incobject
* Additional properties are NOT allowed.
Show Child Parameters
web_price_incobject
* Additional properties are NOT allowed.
Show Child Parameters
product_typeobject
* Additional properties are NOT allowed.
Show Child Parameters
disabledobject
* Additional properties are NOT allowed.
Show Child Parameters
get/productdetailslog/{id}
 
application/json

producteta

Searches Product Estimated Times of Arrival by parameters

This method allows the retrieval of the next available ETA for a specific product. Either a Product ID or SKU is required, as well as either a Sales Channel ID or a Fulfilment Outlet ID. You can only retrieve a single ETA for a single product at a time.

WARNING: This is a highly complex operation and will use considerable amounts of resource to generate the request.Please use this request sparingly and limit the number of calls.

The ETA is derived from the Order of Sourcing Priority in the Source Group definition, any Purchase Orders in the Status “On-Order” and any available stock in the fulfilment outlet.If a product has Available Stock, the returned ETA date will be today’s date. If a product does not have available stock and would be sourced from a Purchase Order, the returned ETA date will be the ETA stored against the Purchase Order.

Read more about Source & Fulfilment Concepts here.

Using the ‘available_for_preorder’ Boolean set to TRUE, you can limit the ETA calculation to only the Purchase Orders that have been flagged as ‘Available for Preorder’ within Retail Express PO Management.

WARNING: This Option is exclusive for users with the Retail Express Shopify Connector utilising Preorder Setting Option 2 “Accept Pre-Orders for On-Order Stock”.

get
https://api.retailexpress.com.au/v2.1/producteta

Query Parameters

product_idinteger | null(int32)

Product Id. Supplier SKU property are skipped, if used.

skustring | null

SKU. Product Id property are skipped, if used.

quantity_orderedinteger(int32)

Quantity ordered. Required and must be other than 0

fulfilment_outlet_idinteger | null(int32)

Fulfilment Outlet Id. Must be other than 0

sales_channel_idinteger | null(int32)

Sales channel Id

available_for_preorderboolean | null

Available for preorder

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Product Estimated Times of Arrival data

ProductETA.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Product ETA model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/producteta
 
application/json